import { IUserInfo } from './model';
import { shellApi } from '../../api/api';
export declare abstract class UserInfoBackendAdapter {
    abstract getUserInfo(): Promise<IUserInfo>;
}
export declare class GetUserInfoBackendAdapter implements UserInfoBackendAdapter {
    private api;
    constructor(api: typeof shellApi);
    getUserInfo(): Promise<IUserInfo>;
    getUserId(access_info: any): any;
}
